lsb-invalid-mta_4.1+Debian11ubuntu6mint1_all.deb


Advertisement

Description

lsb-invalid-mta - Linux Standard Base sendmail dummy

Property Value
Distribution Mint 17.3
Repository Mint Upstream amd64
Package name lsb-invalid-mta
Package version 4.1+Debian11ubuntu6mint1
Package release
Package architecture all
Package type deb
Installed size 66 B
Download size 26.17 KB
Official Mirror packages.linuxmint.com
The Linux Standard Base (http://www.linuxbase.org/) is a standard
core system that third-party applications written for Linux can
depend upon.
This package contains nothing else than a fake /usr/sbin/sendmail
command to fulfill the LSB's requirement of providing this command without
requiring an MTA to get installed, which once introduces a daemon which
can cause security problems and second, users get asked questions about
how they want their MTA configured when in reality they simply wanted to
install a desktop application or a printer driver, but the dependency on
LSB compliance pulls in an MTA with the installation.
The LSB requirement on /usr/sbin/sendmail comes from old times where Linux
and Unix machines had all fixed IPs and did server tasks in data centers.
Today's typical desktop Linux machines do not do local e-mail any more as
users use external e-mail services.
The /usr/sbin/sendmail always exits with exit status -1 (255) and sends a
warning message to stderr, so that if a program actually tries to send e-mail
via the sendmail command the user gets note.

Alternatives

Package Version Architecture Repository
lsb-invalid-mta_4.1+Debian11ubuntu6mint1_all.deb 4.1+Debian11ubuntu6mint1 all Mint Upstream
lsb-invalid-mta - - -

Provides

Name Value
mail-transport-agent -

Conflicts

Name Value
mail-transport-agent -

Download

Type URL
Binary Package lsb-invalid-mta_4.1+Debian11ubuntu6mint1_all.deb
Source Package lsb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lsb-invalid-mta deb package:
    # sudo apt-get install lsb-invalid-mta

See Also

Package Description
lsb-languages_4.1+Debian11ubuntu6mint1_amd64.deb Linux Standard Base 4.1 Runtime Languages package
lsb-multimedia_4.1+Debian11ubuntu6mint1_amd64.deb Linux Standard Base 4.1 Multimedia package
lsb-printing_4.1+Debian11ubuntu6mint1_amd64.deb Linux Standard Base 4.1 Printing package
lsb-release_4.1+Debian11ubuntu6mint1_all.deb Linux Standard Base version reporting utility
lsb-security_4.1+Debian11ubuntu6mint1_amd64.deb Linux Standard Base 4.1 Security package
lsb_4.1+Debian11ubuntu6mint1_all.deb Linux Standard Base 4.1 support package
mdm_2.0.7+rosa_amd64.deb MDM Display Manager
mintsources_1.5.2_all.deb Software Sources configuration tool
monodoc-banshee-manual_2.6.2~linuxmint1_all.deb Media Management and Playback application (developer documentation)
network-manager-gnome_0.9.8.8-0ubuntu4.1-mint1_amd64.deb network management framework (GNOME frontend)
nvidia-common_0.2.91.12linuxmint1_amd64.deb transitional package for ubuntu-drivers-common
nvidia-prime_0.6.2.1linuxmint1_amd64.deb Tools to enable NVIDIA's Prime
oem-config-debconf_2.18.8-1linuxmint12_all.deb debconf frontend for end-user post-OEM-install configuration
oem-config-gtk_2.18.8-1linuxmint12_all.deb GTK+ frontend for end-user post-OEM-install configuration
oem-config-kde_2.18.8-1linuxmint12_all.deb KDE frontend for end-user post-OEM-install configuration
Advertisement
Advertisement